Subject: Re: linux-next: build failure after merge of the mhi tree

From: Kalle Valo <[email-masked]>
Date: Mon, 28 Sep 2020 12:34:40 +0300

Manivannan Sadhasivam <[email-masked]> writes:

> On Mon, Sep 28, 2020 at 06:42:30PM +1000, Stephen Rothwell wrote:
>> Hi all,
>> 
>> After merging the mhi tree, today's linux-next build (x86_64 allmodconfig)
>> failed like this:
>> 
>> drivers/net/wireless/ath/ath11k/mhi.c:27:4: error: 'struct
>> mhi_channel_config' has no member named 'auto_start'
>>    27 |   .auto_start = false,
>>       |    ^~~~~~~~~~
>> drivers/net/wireless/ath/ath11k/mhi.c:42:4: error: 'struct
>> mhi_channel_config' has no member named 'auto_start'
>>    42 |   .auto_start = false,
>>       |    ^~~~~~~~~~
>> drivers/net/wireless/ath/ath11k/mhi.c:57:4: error: 'struct
>> mhi_channel_config' has no member named 'auto_start'
>>    57 |   .auto_start = true,
>>       |    ^~~~~~~~~~
>> drivers/net/wireless/ath/ath11k/mhi.c:72:4: error: 'struct
>> mhi_channel_config' has no member named 'auto_start'
>>    72 |   .auto_start = true,
>>       |    ^~~~~~~~~~
>> 
>> Caused by commit
>> 
>>   ed39d7816885 ("bus: mhi: Remove auto-start option")
>> 
>> interacting with commit
>> 
>>   1399fb87ea3e ("ath11k: register MHI controller device for QCA6390")
>> 
>> from the net-next tree.
>> 
>> I applied the following merge fix patch, but maybe more is required.
>> Even if so, this could be fixed now in the net-next tree.
>> 
>> From: Stephen Rothwell <[email-masked]>
>> Date: Mon, 28 Sep 2020 18:39:41 +1000
>> Subject: [PATCH] fix up for "ath11k: register MHI controller device for QCA6390"
>> 
>> Signed-off-by: Stephen Rothwell <[email-masked]>
>
> Sorry, I forgot to submit a patch against net-next for fixing this while merging
> the MHI change.

Try to notify the ath11k list (CCed) whenever changing MHI API so that
we (ath11k folks) can be prepared for any major changes.

> But your change looks good and I can just modify the subject/description and
> resubmit. Or if Dave prefers to fix the original commit itself in net-next,
> I'm fine!

Actually I prefer to apply the fix to my ath.git tree, less conflicts
that way (I have still quite a lot of ath11k patches pending for -next).
I'll then send a pull request to Dave end of this week.

So please submit the patch like a normal ath11k patch documented here:

https://wireless.wiki.kernel.org/en/users/drivers/ath11k/submittingpatches

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches